import Vue from 'vue';
import Vuex from 'vuex';
import student from '@frame/store/student';
import teacher from '@frame/store/teacher';
import trainplan from '@frame/store/trainplan';
import classes from '@frame/store/classes';
import subject from '@frame/store/subject';
import leave from '@frame/store/leave';
import schPlan from '@frame/store/sch-plan';
import schimport from '@frame/store/sch-import';
import login from '@frame/store/login';
import dirPlan from '@frame/store/dir-plan';
import attendance from '@frame/store/attendance';

import util from '@frame/store/util';
import * as ustate from '@frame/store/user/state';
import * as umutations from '@frame/store/user/mutations';
Vue.use(Vuex);

export default new Vuex.Store({
  modules: {
    student,
    teacher,
    trainplan,
    schPlan,
    schimport,
    classes,
    subject,
    leave,
    login,
    dirPlan,
    util,
    attendance, //考勤
  },
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
});
