const path = require('path');
const frame = path.resolve(__dirname, '../frame');
const center = path.resolve(__dirname, '../train-center');
module.exports = {
  publicPath: process.env.NODE_ENV === 'development' ? '/' : '/school',
  outputDir: 'school',
  configureWebpack: {
    // externals: {
    //   'element-ui': 'Element',
    //   vue: 'Vue',
    // },
    // 开发生产共同配置
    resolve: {
      alias: {
        '@': path.resolve(__dirname, './src'),
        '@c': path.resolve(__dirname, './src/components'),
        '@a': path.resolve(__dirname, './src/assets'),
        '@frame': frame,
        '@center': center,
      },
    },
  },
  devServer: {
    port: '8005',
    //api地址前缀
    proxy: {
      '/api': {
        target: 'http://free.liaoningdoupo.com',
        changeOrigin: true,
        ws: true,
      },
      '/files': {
        target: 'http://free.liaoningdoupo.com',
        changeOrigin: true,
        ws: true,
      },
      '/ws': {
        target: 'http://free.liaoningdoupo.com',
        ws: true,
      },
      '/weixin': {
        target: 'http://smart.cc-lotus.info',
        changeOrigin: true,
        ws: true,
      },
      '/admin/center': {
        target: 'http://localhost:8001',
      },
      '/admin/director': {
        target: 'http://localhost:8002',
      },
      '/admin/teacher': {
        target: 'http://localhost:8003',
      },
      '/admin/student': {
        target: 'http://localhost:8004',
      },
      '/admin/school': {
        target: 'http://localhost:8005',
      },
    },
  },
};
